
QGIS Application - Bug report #21604

QGIS 3.6.0 crashed after opening a project file with postgis layers

2019-03-17 07:19 PM - Markus Weidenbach

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.6.0 Regression?: No

Operating System: WIN 7 Pro 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29420

Description

User Feedback

QGIS crashed when I opened a project file (.qgz) with many local *.gpkg and .shp files and some remote wms and one PostGIS

layer. Right after entering the password to the PostGIS DB, QGIS crashed.

Only some minutes before, QGIS crashed after saving edits on a polygon layer (.gpkg).

Report Details

Crash ID: ea0b18122f12c8615e5d8bc5dedec8b22ec6e052

Stack Trace

QgsMapLayerProxyModel::filterAcceptsRow :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endInsertRows :

QgsMapLayerModel::addLayers :

QMetaObject::activate :

QgsProject::layersAdded :

QMetaObject::activate :

QgsMapLayerStore::layersAdded :

QgsMapLayerStore::addMapLayers :

QgsProject::addMapLayers :

QgsProject::addLayer :

QgsProject::_getMapLayers :

QgsProject::readProjectFile :

QgsProject::unzip :

QgsProject::read :

QgisApp::addProject :

QgisApp::openProject :

QgsVectorLayerLoadStyleDialog::updateLoadButtonState :

QMetaObject::activate :

QAbstractItemView::activated :

QAbstractItemView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Associated revisions

Revision 53fee116 - 2019-03-19 01:12 AM - Nyall Dawson

Fix crash when grass provider is not available

Fixes #21604

Revision a963eaad - 2019-03-19 09:00 PM - Nyall Dawson

Fix crash when grass provider is not available

Fixes #21604

Revision d82298e9 - 2019-03-20 03:58 AM - Nyall Dawson

Fix crash when grass provider is not available

Fixes #21604

History

#1 - 2019-03-17 08:03 PM - Giovanni Manghi

- Assignee deleted (Larry Shaffer)

- Category changed from Authentication system to Project Loading/Saving

- Status changed from Open to Feedback
Just to exclude external causes, could you please try also with a new/clean profile (no 3rd party plugins installed)? Thanks.

#2 - 2019-03-18 07:18 PM - Markus Weidenbach

User Feedback

As advised I opened QGIS 3.6.0 from a new, clean profile and started the *.qgz. After entering the postgis password, I watch the status bar showing the

process of loading the different layers. A few seconds later QGIS crashes, showing always the same name of a layer that is being loaded up to 78% before

QGIS crashes.

I worked with the identical project and same layers before in QGIS 3.4 successfully, so I doubt that the layer, which remained unchanged, could be the

problem. Also the postgis login remained the same (but I changed the master password of the POstgresDB in pgAdmin 4 recently, but for the QGIS work I

am using another, unchanged, user login/pwd).

Report Details

Crash ID: a5a924102b3c46d80b6b5d8281b350dc901569f5

Stack Trace

QgsMapLayerProxyModel::filterAcceptsRow :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endInsertRows :

QgsMapLayerModel::addLayers :

QMetaObject::activate :

QgsProject::layersAdded :

QMetaObject::activate :

QgsMapLayerStore::layersAdded :

QgsMapLayerStore::addMapLayers :

QgsProject::addMapLayers :

QgsProject::addLayer :

QgsProject::_getMapLayers :

QgsProject::readProjectFile :

QgsProject::unzip :

QgsProject::read :

QgisApp::addProject :

QgisApp::fileOpen :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: commit:58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

#3 - 2019-03-18 07:53 PM - Markus Weidenbach

Hi,

this is another update: I found the problem!

I obviously saved the project the last time in "QGIS 3.4 with GRASS" (and indeed there is still a link to a GRASS layer within the *.qgz file). Then, after

installing QGIS 3.6.0 I re-opened the project with the "3.6.0 Desktop Version without GRASS", by mistake and not knowing that doing this will cause a

crash.

So, opening the project now again with the "3.6.9 with GRASS" version everything works fine!

At the end, my fault, but nevertheless, a short error message instead of a fatal crash could have been helpful.

Anyway, thanks a lot for your help.

Regards,

Markus

#4 - 2019-03-19 09:01 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|a963eaad54b40c3888a1bc263fd635db210b0dcb.
